package com.ruoyi.syzy.domain;

import com.fasterxml.jackson.annotation.JsonInclude;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * 院校专业分数线对象 b_busi_wish_xkcx
 * 
 * @author mingxue
 * @date 2021-08-18
 */
@ApiModel("院校专业分数线")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class BBusiWishXkcx extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty("主键")
    private Long id;

    /** 年份 */
    @Excel(name = "年份")
    @ApiModelProperty("年份")
    private String year;

    /** 所在地 */
    @Excel(name = "所在地")
    @ApiModelProperty("所在地")
    private String location;

    /** 层次 */
    @Excel(name = "层次")
    @ApiModelProperty("层次")
    private String level;

    /** 专业 */
    @Excel(name = "专业")
    @ApiModelProperty("专业")
    private String marjorId;

    /** 院校 */
    @Excel(name = "院校")
    @ApiModelProperty("院校")
    private String universityId;

    /** 院校名 */
    @Excel(name = "院校名")
    @ApiModelProperty("院校名")
    private String universityName;

    /** 专业名 */
    @Excel(name = "专业名")
    @ApiModelProperty("专业名")
    private String marjorName;

    /** 包含专业 */
    @Excel(name = "包含专业")
    @ApiModelProperty("包含专业")
    private String marjorBelongs;

    /** 专业方向 */
    @Excel(name = "专业方向")
    @ApiModelProperty("专业方向")
    private String marjorDirection;

    /** 首选科目说明 */
    @Excel(name = "首选科目说明")
    @ApiModelProperty("首选科目说明")
    private String courseRemark0;

    /** 再选科目说明 */
    @Excel(name = "再选科目说明")
    @ApiModelProperty("再选科目说明")
    private String courseRemark1;

    /** 首选科目 */
    @Excel(name = "首选科目")
    @ApiModelProperty("首选科目")
    private String course0;

    /** 再选科目或 */
    @Excel(name = "再选科目或")
    @ApiModelProperty("再选科目或")
    private String course1;

    /** 再选科目与 */
    @Excel(name = "再选科目与")
    @ApiModelProperty("再选科目与")
    private String course2;

    /** 录取最低分 */
    @Excel(name = "录取最低分")
    @ApiModelProperty("录取最低分")
    private Long score;

    /** 录取最低分位次 */
    @Excel(name = "录取最低分位次")
    @ApiModelProperty("录取最低分位次")
    private Long seat;

    /** 招生人数 */
    @Excel(name = "招生人数")
    @ApiModelProperty("招生人数")
    private Long num;

    /** 录取人数 */
    @Excel(name = "录取人数")
    @ApiModelProperty("录取人数")
    private Long numReal;

    /** 录取最高分 */
    @Excel(name = "录取最高分")
    @ApiModelProperty("录取最高分")
    private Long scoreRealTop;

    /** 录取最高分位次 */
    @Excel(name = "录取最高分位次")
    @ApiModelProperty("录取最高分位次")
    private Long seatRealTop;

    /** 录取平均分 */
    @Excel(name = "录取平均分")
    @ApiModelProperty("录取平均分")
    private Long scoreRealAverage;

    /** 录取平均分位次 */
    @Excel(name = "录取平均分位次")
    @ApiModelProperty("录取平均分位次")
    private Long seatRealAverage;

    /** 状态(0:无效,1:有效) */
    @Excel(name = "状态(0:无效,1:有效)")
    @ApiModelProperty("状态(0:无效,1:有效)")
    private Integer status;

    @ApiModelProperty("是否收藏")
    private Boolean collect = Boolean.FALSE;
    @ApiModelProperty("是否选科收藏")
    private Boolean isSelectCourse = Boolean.FALSE;

    private String customerCode;

    private List<String> belongs;

    private String roundName;
    private Integer roundId;

    public List<String> getBelongs() {
        return belongs;
    }

    public void setBelongs(List<String> belongs) {
        this.belongs = belongs;
    }

    public void setCustomerCode(String customerCode) {
        this.customerCode = customerCode;
    }

    public String getCustomerCode() {
        return customerCode;
    }
    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getYear() {
        return year;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocation() {
        return location;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getLevel() {
        return level;
    }

    public void setMarjorId(String marjorId) {
        this.marjorId = marjorId;
    }

    public String getMarjorId() {
        return marjorId;
    }

    public void setUniversityId(String universityId) {
        this.universityId = universityId;
    }

    public String getUniversityId() {
        return universityId;
    }

    public void setUniversityName(String universityName) {
        this.universityName = universityName;
    }

    public String getUniversityName() {
        return universityName;
    }

    public void setMarjorName(String marjorName) {
        this.marjorName = marjorName;
    }

    public String getMarjorName() {
        return marjorName;
    }

    public void setMarjorBelongs(String marjorBelongs) {
        this.marjorBelongs = marjorBelongs;
    }

    public String getMarjorBelongs() {
        return marjorBelongs;
    }

    public void setMarjorDirection(String marjorDirection) {
        this.marjorDirection = marjorDirection;
    }

    public String getMarjorDirection() {
        return marjorDirection;
    }

    public void setCourseRemark0(String courseRemark0) {
        this.courseRemark0 = courseRemark0;
    }

    public String getCourseRemark0() {
        return courseRemark0;
    }

    public void setCourseRemark1(String courseRemark1) {
        this.courseRemark1 = courseRemark1;
    }

    public String getCourseRemark1() {
        return courseRemark1;
    }

    public void setCourse0(String course0) {
        this.course0 = course0;
    }

    public String getCourse0() {
        return course0;
    }

    public void setCourse1(String course1) {
        this.course1 = course1;
    }

    public String getCourse1() {
        return course1;
    }

    public void setCourse2(String course2) {
        this.course2 = course2;
    }

    public String getCourse2() {
        return course2;
    }

    public void setScore(Long score) {
        this.score = score;
    }

    public Long getScore() {
        return score;
    }

    public void setSeat(Long seat) {
        this.seat = seat;
    }

    public Long getSeat() {
        return seat;
    }

    public void setNum(Long num) {
        this.num = num;
    }

    public Long getNum() {
        return num;
    }

    public void setNumReal(Long numReal) {
        this.numReal = numReal;
    }

    public Long getNumReal() {
        return numReal;
    }

    public void setScoreRealTop(Long scoreRealTop) {
        this.scoreRealTop = scoreRealTop;
    }

    public Long getScoreRealTop() {
        return scoreRealTop;
    }

    public void setSeatRealTop(Long seatRealTop) {
        this.seatRealTop = seatRealTop;
    }

    public Long getSeatRealTop() {
        return seatRealTop;
    }

    public void setScoreRealAverage(Long scoreRealAverage) {
        this.scoreRealAverage = scoreRealAverage;
    }

    public Long getScoreRealAverage() {
        return scoreRealAverage;
    }

    public void setSeatRealAverage(Long seatRealAverage) {
        this.seatRealAverage = seatRealAverage;
    }

    public Long getSeatRealAverage() {
        return seatRealAverage;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }
    
    

    public Boolean getCollect() {
        return collect;
    }

    public void setCollect(Boolean collect) {
        this.collect = collect;
    }

    public Boolean getIsSelectCourse() {
        return isSelectCourse;
    }

    public void setIsSelectCourse(Boolean isSelectCourse) {
        this.isSelectCourse = isSelectCourse;
    }

    public String getRoundName() {
        return roundName;
    }

    public void setRoundName(String roundName) {
        this.roundName = roundName;
    }

    public Integer getRoundId() {
        return roundId;
    }

    public void setRoundId(Integer roundId) {
        this.roundId = roundId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("year", getYear())
            .append("location", getLocation()).append("level", getLevel()).append("marjorId", getMarjorId())
            .append("universityId", getUniversityId()).append("universityName", getUniversityName()).append("marjorName", getMarjorName())
            .append("marjorBelongs", getMarjorBelongs()).append("marjorDirection", getMarjorDirection())
            .append("courseRemark0", getCourseRemark0()).append("courseRemark1", getCourseRemark1()).append("course0", getCourse0())
            .append("course1", getCourse1()).append("course2", getCourse2()).append("score", getScore()).append("seat", getSeat())
            .append("num", getNum()).append("numReal", getNumReal()).append("scoreRealTop", getScoreRealTop())
            .append("seatRealTop", getSeatRealTop()).append("scoreRealAverage", getScoreRealAverage())
            .append("seatRealAverage", getSeatRealAverage()).append("createTime", getCreateTime()).append("status", getStatus()).toString();
    }
}
